# NotesModel class

Model for database

## Constructors

NotesModel ({int id, String content, DateTime date})
NotesModel.fromMap (Map <String, dynamic> map)
  Makes NotesModel from database data

## Properties

content ↔ String
  read / write
date ↔ DateTime
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
id ↔ int
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

getShortDesc (int maxSymbols) → String
  Gets string to set it as note description
getTitleFromModel (int maxSymbols) → String
  Gets string to set it as note title
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toMap () → Map <String, dynamic>
  Prepares data to store it in database
toString () → String
  Returns a string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator. [...]
  inherited